
def a_to_z_sequence(text):
    """
    This function converts a given text to a sequence of letters from A to Z based on their ASCII values.
    """
    def get_letter_sequence(text):
        return ''.join(chr(ord(char) - 32) if 'A' <= char <= 'Z' else char for char in text)

    return get_letter_sequence(text)



